Bug 648056 - [abrt] sugar-0.90.3-1.fc14: raise: Process /usr/bin/python was killed by signal 6 (SIGABRT)
Summary: [abrt] sugar-0.90.3-1.fc14: raise: Process /usr/bin/python was killed by sign...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Simon Schampijer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e195a184f1a0a11ef8fdc7be6d6...
Keywords:
: 642937 645197 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-30 18:17 UTC by satellitgo
Modified: 2012-08-16 20:34 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-16 20:34:23 UTC


Attachments (Terms of Use)
File: backtrace (48.62 KB, text/plain)
2010-10-30 18:17 UTC, satellitgo
no flags Details

Description satellitgo 2010-10-30 18:17:27 UTC
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: python /usr/bin/sugar-activity activity.PhysicsActivity -b org.laptop.physics -a 9a710be0652bc47f7b3dffe113a818f8a639e770
component: sugar
crash_function: raise
executable: /usr/bin/python
kernel: 2.6.35.6-45.fc14.i686
package: sugar-0.90.3-1.fc14
rating: 4
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1288461996
uid: 500

How to reproduce
-----
1.sugar-emulator -f
2.run sugar-physics
3.log out of physics

Comment 1 satellitgo 2010-10-30 18:17:30 UTC
Created attachment 456662 [details]
File: backtrace

Comment 2 satellitgo 2010-10-30 18:31:56 UTC
sugar-log:
Gdk-ERROR **: The program 'sugar-activity' received an X Window System error.

This probably reflects a bug in the program.

The error was 'BadDrawable (invalid Pixmap or Window parameter)'.

  (Details: serial 1735 error_code 9 request_code 130 minor_code 3)

  (Note to programmers: normally, X errors are reported asynchronously;

   that is, you will receive the error a while after causing it.

   To debug your program, run it with the --sync command line

   option to change this behavior. You can then get a meaningful

   backtrace from your debugger if you break on the gdk_x_error() function.)

aborting...

* Pygame selected as renderer

convexPoly: Polygon reduced from 3 to 3 vertices | tolerance: 10

alpha difference: 140.862883531

convex

convexPoly: Polygon reduced from 4 to 4 vertices | tolerance: 10

Terminated by signal 6, pid 11924 data (None, <open file '<fdopen>', mode 'w' at 0xa3e6808>, '9a710be0652bc47f7b3dffe113a818f8a639e770')

Comment 3 satellitgo 2010-10-30 19:21:11 UTC
Package: sugar-0.90.3-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.sugar-physics
2.draw polygonal box and it works
3.exit

Comment 4 Karel Klíč 2010-11-08 19:42:33 UTC
*** Bug 642937 has been marked as a duplicate of this bug. ***

Comment 5 Karel Klíč 2010-11-08 19:42:38 UTC
*** Bug 645197 has been marked as a duplicate of this bug. ***

Comment 6 Fedora End Of Life 2012-08-16 20:34:25 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.